Bug Hunting Session
Bug 97429 - Writer crash on print selected area with specific document
Summary: Writer crash on print selected area with specific document
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: All All
: high major
Assignee: Xisco Faulí
URL:
Whiteboard: target:5.2.0 target:5.1.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-01-29 11:58 UTC by Maxim Britov
Modified: 2016-10-10 12:04 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Example (22.92 KB, application/vnd.oasis.opendocument.text)
2016-01-29 11:58 UTC, Maxim Britov
Details
bt with debug symbols (14.81 KB, text/plain)
2016-01-31 11:28 UTC, Julien Nabet
Details
Screenshot: print dialog with "print all" (84.85 KB, image/png)
2016-02-01 11:28 UTC, Maxim Britov
Details
Screenshot: print dialog with "print selection" (85.21 KB, image/png)
2016-02-01 11:31 UTC, Maxim Britov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Britov 2016-01-29 11:58:43 UTC
Created attachment 122273 [details]
Example

Open attached document
Ctrl+A
Ctrl+P
Select Print selected area only
Crash

Crash LO 5.0.5.1 win32
Crash LO 5.0.5.1 lin64
Crash LO 5.1.0.2 lin64
Not affected 4.4.7 both win/lin.
Comment 1 raal 2016-01-29 20:44:08 UTC
I can confirm with Version: 5.2.0.0.alpha0+
Build ID: d1a49df6833ff16f5cbaf98534eaae62693e520b
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-01-29_02:01:58
but not with Version: 4.2.0.0.alpha1+ -> regression
Comment 2 Julien Nabet 2016-01-31 11:28:22 UTC
Created attachment 122296 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated 2 days ago, I could reproduce this.
Comment 3 raal 2016-02-01 10:29:25 UTC
This seems to have begun at the below commit.
Adding Cc: to Matteo Casalin; Could you possibly take a look at this one? Thanks

2b3fc82f911d95c685aee0f2bb1450888837f51d is the first bad commit
commit 2b3fc82f911d95c685aee0f2bb1450888837f51d
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Tue Jun 2 23:25:32 2015 -0500

    source sha:9eb61489ee03486a7147acdf923eaf5e3f355183

    source sha:9eb61489ee03486a7147acdf923eaf5e3f355183

author	Matteo Casalin <matteo.casalin@yahoo.com>	2015-05-03 17:04:23 (GMT)
committer	Matteo Casalin <matteo.casalin@yahoo.com>	2015-05-03 20:31:59 (GMT)
commit	9eb61489ee03486a7147acdf923eaf5e3f355183 (patch)
Comment 4 Maxim Britov 2016-02-01 11:26:21 UTC
I on Gentoo and I have here "selfmade" LO 5.0.
My build don't crashes.
Crashes only official builds on my box.

When I select "Selection" in preview LO adds Header.
I will attach two screenshots.
Comment 5 Maxim Britov 2016-02-01 11:28:34 UTC
Created attachment 122314 [details]
Screenshot: print dialog with "print all"

Is you can see - no header in document, no header in print preview.
Comment 6 Maxim Britov 2016-02-01 11:31:43 UTC
Created attachment 122315 [details]
Screenshot: print dialog with "print selection"

As you can see here - still no header in document, but added to preview.
Original doc contains header with table, text and logo.
My example without logo.
Comment 7 Commit Notification 2016-02-16 10:46:27 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f7a0f7dba759ed3763c900112b5eeb7ccfdd84d

tdf#97429: Fix crash on print selected area

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-03-15 16:02:22 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c0c41a27dde5779af9d2737e6871d82015aa6395&h=libreoffice-5-1

tdf#97429: Fix crash on print selected area

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Maxim Britov 2016-03-18 10:46:05 UTC
Another issue with Example file.
Ctrl+P print just text area.
Ctrl+P print selected area print with header. You will see it on preview when select Selected in Print Dialog.

Right way? Just create another issue? Create issue linked with this one?
Comment 10 raal 2016-03-18 11:05:01 UTC
(In reply to Maxim Britov from comment #9)
> Another issue with Example file.
> Ctrl+P print just text area.
> Ctrl+P print selected area print with header. You will see it on preview
> when select Selected in Print Dialog.
> 
> Right way? Just create another issue? Create issue linked with this one?

If the new issue is not about "crash on print selected area", then should be new bug created.